Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[revdep-rebuild] installe toujours plex-media-server
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
pti-rem
Apprentice
Apprentice


Joined: 14 Oct 2011
Posts: 253

PostPosted: Mon Dec 04, 2017 4:59 am    Post subject: [revdep-rebuild] installe toujours plex-media-server Reply with quote

Bonjour,

Depuis peu de temps et après avoir fait ma mise à jour @world puis le nettoyage avec "--depclean" ; revdep-rebuild réinstalle systématiquement la version media-tv/plex-media-server-1.10.0.4523::fkmclane.

À priori, c'est cette version qui est concernée.

Je peux le faire deux fois de suite ou davantage ; c'est pas normal.

Code:
n73sm ~ # revdep-rebuild -p
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Checking dynamic linking consistency
 * Assign files to packages

emerge  --pretend --oneshot --complete-graph=y media-tv/plex-media-server:0

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ~] media-tv/plex-media-server-1.10.0.4523
n73sm ~ # emerge -pv plex-media-server

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ~] media-tv/plex-media-server-1.10.0.4523::fkmclane  USE="-avahi -pax_kernel" PYTHON_TARGETS="python2_7" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB


Code:
n73sm ~ # revdep-rebuild.sh -p
 * Configuring search environment for revdep-rebuild

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 73% ]  *   broken /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so (requires libdb-4.8.so)
 *   broken /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so (requires libdb-4.8.so)
[ 74% ]  *   broken /usr/lib64/plexmediaserver/libavcodec.so.57 (symbol avpriv_load_new_libs, version LIBAVUTIL_55 not defined in file libavutil.so.55 with link time reference)
[ 100% ]                 
 * Generated new 3_broken.rr
 * Assigning files to packages
 *  !!! /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so not owned by any package is broken !!!
 *   /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so -> (none)
 *  !!! /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so not owned by any package is broken !!!
 *   /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so -> (none)
 *   /usr/lib64/plexmediaserver/libavcodec.so.57 -> media-tv/plex-media-server
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
 * Generated new 5_order.rr
 * All prepared. Starting rebuild
emerge --complete-graph=y --oneshot  --pretend media-tv/plex-media-server:0

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ~] media-tv/plex-media-server-1.10.0.4523
 * Now you can remove -p (or --pretend) from arguments and re-run revdep-rebuild.


Je pense que je peux supprimer ces :
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so

Mais je ne suis pas sûr de pouvoir supprimer le dernier :
/usr/lib64/plexmediaserver/libavcodec.so.57

Quote:
(symbol avpriv_load_new_libs, version LIBAVUTIL_55 not defined in file libavutil.so.55 with link time reference)

Est un peu mystérieux
_________________
Il faut être léger pour voler sur les cailloux


Last edited by pti-rem on Tue Dec 05, 2017 10:47 am; edited 4 times in total
Back to top
View user's profile Send private message
pti-rem
Apprentice
Apprentice


Joined: 14 Oct 2011
Posts: 253

PostPosted: Mon Dec 04, 2017 5:19 am    Post subject: Reply with quote

J'ai sorti les trois .so de leurs répertoires respectifs

Code:
n73sm ~ # mv /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so .
n73sm ~ # mv /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so .
n73sm ~ # mv /usr/lib64/plexmediaserver/libavcodec.so.57 .

Et maintenant,

revdep-rebuild -p
et
revdep-rebuild.sh --ignore --pretend

me répondent chacun que mon système est « consistent »

Plex est redémarré et il semble fonctionner normalement.
édition : j'ai quand même dû le réinstaller ; il y avait un souci.

Et c'est encore le même "cirque" ;

Code:
n73sm ~ # revdep-rebuild --ignore --pretend
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Collecting system binaries and libraries
 * Checking dynamic linking consistency
 * Assign files to packages

emerge  --pretend --oneshot --complete-graph=y media-tv/plex-media-server:0

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ~] media-tv/plex-media-server-1.10.0.4523
n73sm ~ # revdep-rebuild.sh --ignore --pretend
 * Configuring search environment for revdep-rebuild

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 73% ]  *   broken /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so (requires libdb-4.8.so)
 *   broken /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so (requires libdb-4.8.so)
[ 74% ]  *   broken /usr/lib64/plexmediaserver/libavcodec.so.57 (symbol avpriv_load_new_libs, version LIBAVUTIL_55 not defined in file libavutil.so.55 with link time reference)
[ 100% ]                 
 * Generated new 3_broken.rr
 * Assigning files to packages
 *  !!! /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so not owned by any package is broken !!!
 *   /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so -> (none)
 *  !!! /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so not owned by any package is broken !!!
 *   /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so -> (none)
 *   /usr/lib64/plexmediaserver/libavcodec.so.57 -> media-tv/plex-media-server
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
 * Generated new 5_order.rr
 * All prepared. Starting rebuild
emerge --complete-graph=y --oneshot  --pretend media-tv/plex-media-server:0

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ~] media-tv/plex-media-server-1.10.0.4523
 * Now you can remove -p (or --pretend) from arguments and re-run revdep-rebuild.


C'est déjà arrivé par le passé ; ça doit être un bug dans le paquet.
_________________
Il faut être léger pour voler sur les cailloux


Last edited by pti-rem on Tue Dec 05, 2017 10:34 am; edited 1 time in total
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 667
Location: S.O. France

PostPosted: Mon Dec 04, 2017 9:30 pm    Post subject: Reply with quote

Quote:
Now you can remove -p (or --pretend) from arguments and re-run revdep-rebuild

T'as lancé un revdep-rebuild sans le --pretend? Désolé si la question parait bete...

Sinon t'as un bug qui vise les mêmes librairies que toi mais ce n'est pas la me chose
https://bugs.gentoo.org/611808
Back to top
View user's profile Send private message
pti-rem
Apprentice
Apprentice


Joined: 14 Oct 2011
Posts: 253

PostPosted: Mon Dec 04, 2017 10:00 pm    Post subject: Reply with quote

sebB wrote:
T'as lancé un revdep-rebuild sans le --pretend? Désolé si la question parait bete...

Oui, je l'ai lancé sans le --pretend quand je suis passé tout récemment en C++14 PIE

C'est lors d'une mise à jour @world supplémentaire que j'ai constaté le fait.
Je crois que ce n'est pas très important comme problème.

Je ne sais pas trop quoi en penser ; il y a de bonnes chances que ça se tasse à la prochaine version de Plex et / ou d'autres updates.

J'ai vu que je pouvais donner des exclusions à revdep-rebuild mais je ne suis pas trop intéressé.

Je réessaierai quand même pour vérifier si l'installation est systématique.

Merci sebB
_________________
Il faut être léger pour voler sur les cailloux
Back to top
View user's profile Send private message
pti-rem
Apprentice
Apprentice


Joined: 14 Oct 2011
Posts: 253

PostPosted: Tue Dec 05, 2017 8:33 am    Post subject: Reply with quote

sebB wrote:
T'as lancé un revdep-rebuild sans le --pretend? Désolé si la question parait bete...

pti-rem wrote:
Je réessaierai quand même pour vérifier si l'installation est systématique.

Alors, oui : c'est bien systématique ; L'installation de media-tv/plex-media-server-1.10.0.4523::fkmclane est faite à chaque appel à revdep-rebuild.
Je l'ai fait deux fois de suite. c'est pas utile d'en faire plus.
_________________
Il faut être léger pour voler sur les cailloux
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 667
Location: S.O. France

PostPosted: Tue Dec 05, 2017 10:07 pm    Post subject: Reply with quote

Peux tu poster le retour de
Code:
ldd /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so

Tu as dans tes messages d'erreur
Quote:
requires libdb-4.8.so

Le problème est que sys-libs/db en est à la version 5.23 sur gentoo. A moins que plex n'utilise ses propres librairies?
Tu peux tenter soit en créant un lien symbolique (ln /usr/lib64/libdb-5.3.so /usr/lib64/libdb-4.8.so) soit en installant db-4.8 (emerge =sys-libs/db-4.8.30-r2)
Par contre je sais pas ce que ca va donner...

Au pire tu ouvre un bug
Back to top
View user's profile Send private message
pti-rem
Apprentice
Apprentice


Joined: 14 Oct 2011
Posts: 253

PostPosted: Wed Dec 06, 2017 8:23 am    Post subject: Reply with quote

Bonjour et merci sebB pour ton aide

Code:
n73sm ~ # ldd /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so
ldd: attention : vous n'avez pas la permission d'exécution pour `/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so'
   linux-vdso.so.1 (0x00007ffc81cdc000)
   libdb-4.8.so => not found
   libpython2.7.so.1.0 => /usr/lib64/libpython2.7.so.1.0 (0x00007f7060d08000)
   libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f7060ae8000)
   libc.so.6 => /lib64/libc.so.6 (0x00007f7060739000)
   libdl.so.2 => /lib64/libdl.so.2 (0x00007f7060535000)
   libutil.so.1 => /lib64/libutil.so.1 (0x00007f7060332000)
   libm.so.6 => /lib64/libm.so.6 (0x00007f7060024000)
   /lib64/ld-linux-x86-64.so.2 (0x00007f7061319000)

sys-libs/db-4.8.30-r2 s'installerai dans un nouveau slot
Code:
n73sm ~ # emerge =sys-libs/db-4.8.30-r2 -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS    ] sys-libs/db-4.8.30-r2:4.8::gentoo [5.3.28-r2:5.3::gentoo] USE="cxx examples -doc -java -tcl {-test}" ABI_X86="32 (64) (-x32)" 0 KiB

Total: 1 package (1 in new slot), Size of downloads: 0 KiB

J'ai l'ai donc installé et je l'ai "fixé" :
Code:
n73sm ~ # emerge --noreplace =sys-libs/db-4.8.30-r2

Puis :
Code:
n73sm ~ # ldd /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so
ldd: attention : vous n'avez pas la permission d'exécution pour `/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so'
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so: /usr/lib64/libdb-4.8.so: version `DB4_8' not found (required by /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so)
   linux-vdso.so.1 (0x00007ffebe2d9000)
   libdb-4.8.so => /usr/lib64/libdb-4.8.so (0x00007ffbbbd4b000)
   libpython2.7.so.1.0 => /usr/lib64/libpython2.7.so.1.0 (0x00007ffbbb96a000)
   libpthread.so.0 => /lib64/libpthread.so.0 (0x00007ffbbb74a000)
   libc.so.6 => /lib64/libc.so.6 (0x00007ffbbb39b000)
   libdl.so.2 => /lib64/libdl.so.2 (0x00007ffbbb197000)
   libutil.so.1 => /lib64/libutil.so.1 (0x00007ffbbaf94000)
   libm.so.6 => /lib64/libm.so.6 (0x00007ffbbac86000)
   /lib64/ld-linux-x86-64.so.2 (0x00007ffbbc2f8000)

sebB wrote:
A moins que plex n'utilise ses propres librairies?

C'est ce qu'il semblerait d'après ce message « version `DB4_8' not found » et après avec « version DB4_8 not defined in file libdb-4.8.so »

Code:
n73sm ~ # revdep-rebuild --ignore --pretend
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Collecting system binaries and libraries
 * Checking dynamic linking consistency

Your system is consistent

Donc là c'est bon.

Code:
n73sm ~ # revdep-rebuild.sh --ignore --pretend
 * Configuring search environment for revdep-rebuild

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 73% ]  *   broken /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so (symbol db_create, version DB4_8 not defined in file libdb-4.8.so with link time reference
symbol db_env_create, version DB4_8 not defined in file libdb-4.8.so with link time reference
symbol db_sequence_create, version DB4_8 not defined in file libdb-4.8.so with link time reference
symbol db_strerror, version DB4_8 not defined in file libdb-4.8.so with link time reference
symbol db_version, version DB4_8 not defined in file libdb-4.8.so with link time reference)
[ 74% ]  *   broken /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so (symbol __db_ndbm_clearerr, version DB4_8 not defined in file libdb-4.8.so with link time reference
symbol __db_ndbm_close, version DB4_8 not defined in file libdb-4.8.so with link time reference
symbol __db_ndbm_delete, version DB4_8 not defined in file libdb-4.8.so with link time reference
symbol __db_ndbm_error, version DB4_8 not defined in file libdb-4.8.so with link time reference
symbol __db_ndbm_fetch, version DB4_8 not defined in file libdb-4.8.so with link time reference
symbol __db_ndbm_firstkey, version DB4_8 not defined in file libdb-4.8.so with link time reference
symbol __db_ndbm_nextkey, version DB4_8 not defined in file libdb-4.8.so with link time reference
symbol __db_ndbm_open, version DB4_8 not defined in file libdb-4.8.so with link time reference
symbol __db_ndbm_store, version DB4_8 not defined in file libdb-4.8.so with link time reference)
 *   broken /usr/lib64/plexmediaserver/libavcodec.so.57 (symbol avpriv_load_new_libs, version LIBAVUTIL_55 not defined in file libavutil.so.55 with link time reference)
[ 100% ]                 
 * Generated new 3_broken.rr
 * Assigning files to packages
 *    -> xfce-extra/xfce4-clipman-plugin-1.2.6
xfce-extra/xfce4-volumed-pulse-0.2.0
xfce-extra/xfce4-battery-plugin-1.0.5
xfce-extra/xfce4-screenshooter-1.8.2
xfce-extra/xfce4-mount-plugin-0.6.7
xfce-extra/xfce4-notifyd-0.2.4
xfce-extra/thunar-archive-plugin
 *    -> xfce-extra/xfce4-clipman-plugin-1.2.6
xfce-extra/xfce4-volumed-pulse-0.2.0
xfce-extra/xfce4-battery-plugin-1.0.5
xfce-extra/xfce4-screenshooter-1.8.2
xfce-extra/xfce4-mount-plugin-0.6.7
xfce-extra/xfce4-notifyd-0.2.4
xfce-extra/thunar-archive-plugin
 *  !!! /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so not owned by any package is broken !!!
 *   /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so -> (none)
 *  !!! /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so not owned by any package is broken !!!
 *   /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so -> (none)
 *   /usr/lib64/plexmediaserver/libavcodec.so.57 -> media-tv/plex-media-server
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
^C *   ...terminated. Removing incomplete 5_order.rr.

Au premier lancement de revdep-rebuild.sh --ignore --pretend ; j'ai eu une mention de xfce-extra/tumbler qui amenait à prétendre une réinstallation de 1315 paquets
Accessoirement j'ai installé la version =xfce-extra/tumbler-0.1.32 sur la 0.1.31-r1 et voilà ci-dessus ce que donne après le revdep-rebuild.sh --ignore --pretend et que j'ai interrompu.
Alors que la « new python coded version » de revdep-rebuild ne signale rien.

revdep-rebuild.sh semble être dans les choux.

sebB wrote:
Au pire tu ouvre un bug

Oui, pourquoi pas...
Je ne sais pas où le faire.
Et vu que revdep-rebuild ne signale plus rien...

Il ne semblait pas y avoir de dysfonctionnement du serveur avant cette manipulation ; Je vais voir maintenant à l'usage.
_________________
Il faut être léger pour voler sur les cailloux
Back to top
View user's profile Send private message
pti-rem
Apprentice
Apprentice


Joined: 14 Oct 2011
Posts: 253

PostPosted: Sat Dec 09, 2017 7:30 am    Post subject: Reply with quote

Bonjour,

C'est le même topo avec la version =media-tv/plex-media-server-1.10.1.4561::fkmclane

J'ai laissé =sys-libs/db-4.8.30-r2 installé. J'ai essayé sans et revdep-rebuild réinstalle encore systématiquement cette autre version du serveur Plex.

Il faut passer l'argument --ignore à revdep-rebuild pour qu'il effectue les deux phases de « Collecting » et trouve libdb-4.8.so (/usr/lib64/libdb-4.8.so dans mon cas) si il/elle n'est pas dans son cache.

Code:
n73sm ~ # revdep-rebuild --pretend --verbose
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Found a valid cache, skipping collecting phase
 * Scanning files
 * Checking dynamic linking consistency
 * Broken files that require: libdb-4.8.so (64 bits) # J'ai aussi /usr/lib32/libdb-4.8.so de présente (?)
   * /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so
   * /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so
 * Assign files to packages
   * /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/dbm.so -> media-tv/plex-media-server-1.10.1.4561
   * /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so -> media-tv/plex-media-server-1.10.1.4561

emerge  --pretend --verbose --oneshot --complete-graph=y media-tv/plex-media-server:0

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ~] media-tv/plex-media-server-1.10.1.4561::fkmclane  USE="-avahi -pax_kernel" PYTHON_TARGETS="python2_7" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

Code:
n73sm ~ # revdep-rebuild --ignore --verbose
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Collecting system binaries and libraries
 * Collecting dynamic linking informations
 * Scanning files
 * Checking dynamic linking consistency

Your system is consistent

_________________
Il faut être léger pour voler sur les cailloux
Back to top
View user's profile Send private message
pti-rem
Apprentice
Apprentice


Joined: 14 Oct 2011
Posts: 253

PostPosted: Fri Dec 15, 2017 5:00 am    Post subject: Reply with quote

Bonjour,

Avec la version =media-tv/plex-media-server-1.10.1.4602::fkmclane installée lors d'une mise à jour globale, revdep-rebuild renvoie un bon résultat.

Code:
n73sm ~ # revdep-rebuild --pretend --verbose
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Collecting system binaries and libraries
 * Collecting dynamic linking informations
 * Scanning files
 * Checking dynamic linking consistency

Your system is consistent

Code:
n73sm ~ # revdep-rebuild  --verbose
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Found a valid cache, skipping collecting phase
 * Scanning files
 * Checking dynamic linking consistency

Your system is consistent

J'ai laissé =sys-libs/db-4.8.30-r2 installé.

Code:
n73sm ~ # ldd /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so
ldd: attention : vous n'avez pas la permission d'exécution pour `/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so'
/usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so: /usr/lib64/libdb-4.8.so: version `DB4_8' not found (required by /usr/lib64/plexmediaserver/Resources/Python/lib/python2.7/lib-dynload/_bsddb.so)
   linux-vdso.so.1 (0x00007fff34dfc000)
   libdb-4.8.so => /usr/lib64/libdb-4.8.so (0x00007ff355e92000)
   libpython2.7.so.1.0 => /usr/lib64/libpython2.7.so.1.0 (0x00007ff355ab1000)
   libpthread.so.0 => /lib64/libpthread.so.0 (0x00007ff355891000)
   libc.so.6 => /lib64/libc.so.6 (0x00007ff3554e2000)
   libdl.so.2 => /lib64/libdl.so.2 (0x00007ff3552de000)
   libutil.so.1 => /lib64/libutil.so.1 (0x00007ff3550db000)
   libm.so.6 => /lib64/libm.so.6 (0x00007ff354dcd000)
   /lib64/ld-linux-x86-64.so.2 (0x00007ff35643f000)

_________________
Il faut être léger pour voler sur les cailloux
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum